[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: subversion-1.1-rc1 'svnadmin recover' on subversion-1.0 repositories

From: Karl Chen <quarl_at_hkn.eecs.berkeley.edu>
Date: 2004-07-15 11:00:37 CEST

>>>>> "Max" == Max Bowsher <maxb@ukf.net> writes:
    Max> I strongly suspect that your svnadmin-1.0.5 and
    Max> svnadmin-1.1 are linked with different Berkeley DB
    Max> versions.

Yup. It turns out I have libdb4.0-dev but not libdb4.2-dev;
previously I had used the Debian-unstable package which is linked
against libdb4.2. Thanks. I will recompile with libdb4.2.

With your experience you saw that it's a BDB problem error
message; but I would have had no idea. Maybe the error message
could at least indicate that, i.e. "svnadmin: error doing bdb
operation xyzzy: invalid argument"

-- 
Karl 2004-07-15 01:56
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Thu Jul 15 11:00:52 2004

This is an archived mail posted to the Subversion Dev mailing list.